%define module	CGI-XMLApplication
%define version 1.1.1
%define release 2mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel 
BuildRequires:	perl-XML-LibXML
BuildRequires:	perl-XML-LibXSLT
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot/
Requires:	perl
Requires:	perl-CGI
Requires:	perl-XML-LibXML
Requires:	perl-XML-LibXSLT
BuildArch:	noarch

%description
%{module} module for perl
CGI::XMLApplication is a CGI application class, that intends to enable
perl artists to implement CGIs that make use of XML/XSLT
functionality, without taking too much care about specialized
errorchecking or even care too much about XML itself. It provides the
power of the XML::LibXML/ XML::LibXSLT module package for
content deliverment.

%prep
%setup -q -n %{module}-%{version}

chmod 644 Changes MANIFEST README

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root)
%doc Changes MANIFEST README examples/*
%{_mandir}/*/*
%{perl_vendorlib}/CGI/*


%changelog
* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.1.1-2mdk
- rebuild for perl 5.8.0

* Mon Apr 15 2002 Philippe Libat <philippe@mandrakesoft.com> 1.1.1-1mdk
- initial RPM
